Subject: bug#11898: automake 1.12.2: self-check-exit.tap fails on Mac OS X 10.7.4

From: Stefano Lattarini <[email-masked]>
Date: Tue, 10 Jul 2012 17:58:41 +0200

Max, could you keep the mailing list in the loop in your future replies,
so that they will be registered in the bug tracker?  Thanks.

For this time, I'm quoting the relevant part of your reply, so no need to
re-send.

On 07/10/2012 05:44 PM, Max Horn wrote:
> 
> On 10.07.2012, at 16:54, Stefano Lattarini wrote:
> 
>> On 07/10/2012 04:26 PM, Max Horn wrote:
>>
>>> PASS: t/self-check-exit.tap 31 - command not found
>>> PASS: t/self-check-exit.tap 32 - permission denied
>>> FAIL: t/self-check-exit.tap 33 - syntax error 1
>>> FAIL: t/self-check-exit.tap 34 - syntax error 2
>>>
>> Yeah, I'm seeing something similar on Solaris 10 when the /usr/xpg4/bin/sh
>> shell is used.  What shell is your /bin/sh exactly (Bash, Zsh, something
>> else)?
> 
> $ /bin/sh --version
> GNU bash, version 3.2.48(1)-release (x86_64-apple-darwin11)
> Copyright (C) 2007 Free Software Foundation, Inc.
>
Yes, I can reproduce the issue:

  $ cat > foo.sh << 'END'
  trap 'exit $?' 0
  set -e
  true ( true )
  END

  $ bash-3.2 foo.sh; echo status = $?
  foo.sh: line 3: syntax error near unexpected token `true'
  status = 0

  $ bash-3.0 foo.sh; echo status = $?
  foo.sh: line 3: syntax error near unexpected token `true'
  status = 0

  $ bash-4.1 foo.sh ; echo status = $?
  foo.sh: line 3: syntax error near unexpected token `true'
  status = 2

  # On Solaris 10:
  $ /usr/xpg4/bin/sh foo.sh; echo status = $?
  foo.sh[3]: syntax error at line 3 : `(' unexpected
  status = 0

>
> This is on Mac OS X 10.7.4.
> 
> Max
> 

Regards,
  Stefano